org.apache.ignite.internal.processors.odbc

## Class ClientListenerResponse

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerResponse

Direct Known Subclasses:
  ClientNotification, ClientResponse, JdbcResponse, OdbcResponse

    public abstract class ClientListenerResponse
    extends Object

Client listener response.

### Field Summary

Fields
`static int` `STATUS_FAILED` Command failed.
`static int` `STATUS_SUCCESS` Command succeeded.

### Constructor Summary

Constructors
`protected` `ClientListenerResponse(int status, @Nullable String err)` Constructs failed rest response.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `error()`
`void` `error(String err)`
`void` `onSent()` Callback for response sent event.
`int` `status()`
`void` `status(int status)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STATUS_SUCCESS

    public static final int STATUS_SUCCESS

Command succeeded.

See Also:
  Constant Field Values

#### STATUS_FAILED

    public static final int STATUS_FAILED

Command failed.

See Also:
  Constant Field Values

### Constructor Detail

#### ClientListenerResponse

    protected ClientListenerResponse(int status,
                                     @Nullable
                                     @Nullable String err)

Constructs failed rest response.

Parameters:
  `status` - Response status.
  `err` - Error, `null` if success is `true`.

### Method Detail

#### status

    public int status()

Returns:
  Success flag.

#### status

    public void status(int status)

Parameters:
  `status` - Status.

#### error

    public String error()

Returns:
  Error.

#### error

    public void error(String err)

Parameters:
  `err` - Error message.

#### onSent

    public void onSent()

Callback for response sent event.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023